Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class OlapUnitWrapper

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.BaseDTO
          com.jaspersoft.jasperserver.war.dto.OlapUnitWrapper

All Implemented Interfaces:
  java.io.Serializable

    public class OlapUnitWrapper

extends BaseDTO

OlapUnitWrapper provides the wrapper for the OlapUnitAction object

Author:
  jshih
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`MODE_STAND_ALONE_EDIT, MODE_STAND_ALONE_NEW, MODE_SUB_FLOW_EDIT, MODE_SUB_FLOW_NEW`

Constructor Summary
`OlapUnitWrapper()`

Method Summary
`FileResource` | `getAccessGrantResource()`
`java.lang.String` | `getAccessGrantResourceUri()`
`java.util.List` | `getAllTypes()`
`java.lang.String` | `getConnectionUri()`
`java.lang.String` | `getDatasourceUri()`
`java.util.List` | `getExistingResources()`
`OlapClientConnection` | `getOlapClientConnection()`
`ReportDataSource` | `getOlapClientDatasource()`
`FileResource` | `getOlapClientSchema()`
`java.lang.String` | `getOlapConnectionType()`
`OlapUnit` | `getOlapUnit()`
`java.lang.String` | `getOlapUnitDescription()`
`java.lang.String` | `getOlapUnitLabel()`
`java.lang.String` | `getOlapUnitMdxQuery()`
`java.lang.String` | `getOlapUnitName()`
`java.lang.Object` | `getOlapUnitOptions()`
`java.util.List` | `getOlapViews()`
`java.lang.String` | `getOldConnectionUri()`
`java.lang.String` | `getOldSchemaUri()`
`java.lang.String` | `getOriginalConnectionUri()`
`java.lang.String` | `getOriginalSchemaUri()`
`java.lang.String` | `getParentFolder()`
`boolean` | `getResult()`
`java.util.List` | `getReusableMondrianConnections()`
`java.util.List` | `getReusableSchemas()`
`java.util.List` | `getReusableXmlaConnections()`
`java.util.List` | `getReusableXmlaDefinitions()`
`byte[]` | `getSchemaData()`
`java.lang.String` | `getSchemaUri()`
`java.lang.String` | `getSource()`
`java.util.List` | `getSuggestedControls()`
`java.util.List` | `getSuggestedResources()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValidationMessage()`
`java.lang.String` | `getXmlaCatalog()`
`java.lang.String` | `getXmlaConnectionUri()`
`java.lang.String` | `getXmlaDatasource()`
`boolean` | `isAccessGrantResourceLoaded()`
`boolean` | `isAccessGrantResourceLocated()`
`boolean` | `isConnectionModified()`
`boolean` | `isDatasourceAdded()`
`boolean` | `isDatasourceIdentified()`
`boolean` | `isNamed()`
`boolean` | `isSchemaLoaded()`
`boolean` | `isSchemaLocated()`
`void` | `setAccessGrantResource(FileResource accessGrantResource)`
`void` | `setAccessGrantResourceLoaded(boolean accessGrantResourceLoaded)`
`void` | `setAccessGrantResourceLocated(boolean accessGrantResourceLocated)`
`void` | `setAccessGrantResourceUri(java.lang.String accessGrantResourceUri)`
`void` | `setAllTypes(java.util.List allTypes)`
`void` | `setConnectionModified(boolean connectionCreated)`
`void` | `setConnectionUri(java.lang.String connectionUri)`
`void` | `setDatasourceAdded(boolean datasourceAdded)`
`void` | `setDatasourceIdentified(boolean datasourceIdentified)`
`void` | `setDatasourceUri(java.lang.String datasourceUri)`
`void` | `setExistingResources(java.util.List existingResources)`
`void` | `setNamed(boolean named)`
`void` | `setOlapClientConnection(OlapClientConnection olapClientConnection)`
`void` | `setOlapClientDatasource(ReportDataSource olapClientDatasource)`
`void` | `setOlapClientSchema(FileResource olapClientSchema)`
`void` | `setOlapConnectionType(java.lang.String type)`
`void` | `setOlapUnit(OlapUnit olapUnit)`
`void` | `setOlapUnitDescription(java.lang.String olapUnitDescription)`
`void` | `setOlapUnitLabel(java.lang.String olapUnitLabel)`
`void` | `setOlapUnitMdxQuery(java.lang.String olapUnitMdxQuery)`
`void` | `setOlapUnitName(java.lang.String olapUnitName)`
`void` | `setOlapUnitOptions(java.lang.Object options)`
`void` | `setOlapViews(java.util.List olapViews)`
`void` | `setOldConnectionUri(java.lang.String oldConnectionUri)`
`void` | `setOldSchemaUri(java.lang.String oldSchemaUri)`
`void` | `setOriginalConnectionUri(java.lang.String originalConnectionUri)`
`void` | `setOriginalSchemaUri(java.lang.String originalSchemaUri)`
`void` | `setParentFolder(java.lang.String parentFolder)`
`void` | `setResult(boolean result)`
`void` | `setReusableMondrianConnections(java.util.List reusableMondrianConnections)`
`void` | `setReusableSchemas(java.util.List reusableSchemas)`
`void` | `setReusableXmlaConnections(java.util.List reusableXmlaConnections)`
`void` | `setReusableXmlaDefinitions(java.util.List reusableXmlaDefinitions)`
`void` | `setSchemaData(byte[] schemaData)`
`void` | `setSchemaLoaded(boolean schemaLoaded)`
`void` | `setSchemaLocated(boolean schemaLocated)`
`void` | `setSchemaUri(java.lang.String schemaUri)`
`void` | `setSource(java.lang.String source)`
`void` | `setSuggestedControls(java.util.List controlWrappers)`
`void` | `setSuggestedResources(java.util.List resourceWrappers)`
`void` | `setType(java.lang.String type)`
`void` | `setValidationMessage(java.lang.String validationMessage)`
`void` | `setXmlaCatalog(java.lang.String xmlaCatalog)`
`void` | `setXmlaConnectionUri(java.lang.String xmlaConnectionUri)`
`void` | `setXmlaDatasource(java.lang.String xmlaDatasource)`

Methods inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`getMode, isAloneEditMode, isAloneNewMode, isEditMode, isNewMode, isStandAloneMode, isSubEditMode, isSubflowMode, isSubNewMode, setMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OlapUnitWrapper

    public OlapUnitWrapper()

Method Detail

### setOlapConnectionType

    public void setOlapConnectionType(java.lang.String type)

### getOlapConnectionType

    public java.lang.String getOlapConnectionType()

### setOlapClientConnection

    public void setOlapClientConnection(OlapClientConnection olapClientConnection)

### getOlapClientConnection

    public OlapClientConnection getOlapClientConnection()

### setOlapClientSchema

    public void setOlapClientSchema(FileResource olapClientSchema)

### getOlapClientSchema

    public FileResource getOlapClientSchema()

### setAccessGrantResource

    public void setAccessGrantResource(FileResource accessGrantResource)

### getAccessGrantResource

    public FileResource getAccessGrantResource()

### setOlapClientDatasource

    public void setOlapClientDatasource(ReportDataSource olapClientDatasource)

### getOlapClientDatasource

    public ReportDataSource getOlapClientDatasource()

### isDatasourceIdentified

    public boolean isDatasourceIdentified()

### setDatasourceIdentified

    public void setDatasourceIdentified(boolean datasourceIdentified)

### isNamed

    public boolean isNamed()

### setNamed

    public void setNamed(boolean named)

### isSchemaLoaded

    public boolean isSchemaLoaded()

### setSchemaLoaded

    public void setSchemaLoaded(boolean schemaLoaded)

### isAccessGrantResourceLoaded

    public boolean isAccessGrantResourceLoaded()

### setAccessGrantResourceLoaded

    public void setAccessGrantResourceLoaded(boolean accessGrantResourceLoaded)

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String source)

### getReusableSchemas

    public java.util.List getReusableSchemas()

### setReusableSchemas

    public void setReusableSchemas(java.util.List reusableSchemas)

### getOlapUnit

    public OlapUnit getOlapUnit()

### setOlapUnit

    public void setOlapUnit(OlapUnit olapUnit)

### getOldSchemaUri

    public java.lang.String getOldSchemaUri()

### setOldSchemaUri

    public void setOldSchemaUri(java.lang.String oldSchemaUri)

### getOriginalSchemaUri

    public java.lang.String getOriginalSchemaUri()

### setOriginalSchemaUri

    public void setOriginalSchemaUri(java.lang.String originalSchemaUri)

### isSchemaLocated

    public boolean isSchemaLocated()

### setSchemaLocated

    public void setSchemaLocated(boolean schemaLocated)

### isAccessGrantResourceLocated

    public boolean isAccessGrantResourceLocated()

### setAccessGrantResourceLocated

    public void setAccessGrantResourceLocated(boolean accessGrantResourceLocated)

### getSchemaData

    public byte[] getSchemaData()

### setSchemaData

    public void setSchemaData(byte[] schemaData)

### getSchemaUri

    public java.lang.String getSchemaUri()

### setSchemaUri

    public void setSchemaUri(java.lang.String schemaUri)

### getDatasourceUri

    public java.lang.String getDatasourceUri()

### setDatasourceUri

    public void setDatasourceUri(java.lang.String datasourceUri)

### getSuggestedControls

    public java.util.List getSuggestedControls()

### setSuggestedControls

    public void setSuggestedControls(java.util.List controlWrappers)

### getSuggestedResources

    public java.util.List getSuggestedResources()

### setSuggestedResources

    public void setSuggestedResources(java.util.List resourceWrappers)

### getResult

    public boolean getResult()

### setResult

    public void setResult(boolean result)

### getOlapViews

    public java.util.List getOlapViews()

### setOlapViews

    public void setOlapViews(java.util.List olapViews)

### getValidationMessage

    public java.lang.String getValidationMessage()

### setValidationMessage

    public void setValidationMessage(java.lang.String validationMessage)

### getExistingResources

    public java.util.List getExistingResources()

### setExistingResources

    public void setExistingResources(java.util.List existingResources)

### getXmlaCatalog

    public java.lang.String getXmlaCatalog()

### setXmlaCatalog

    public void setXmlaCatalog(java.lang.String xmlaCatalog)

### getXmlaConnectionUri

    public java.lang.String getXmlaConnectionUri()

### setXmlaConnectionUri

    public void setXmlaConnectionUri(java.lang.String xmlaConnectionUri)

### getXmlaDatasource

    public java.lang.String getXmlaDatasource()

### setXmlaDatasource

    public void setXmlaDatasource(java.lang.String xmlaDatasource)

### getConnectionUri

    public java.lang.String getConnectionUri()

### setConnectionUri

    public void setConnectionUri(java.lang.String connectionUri)

### getOldConnectionUri

    public java.lang.String getOldConnectionUri()

### setOldConnectionUri

    public void setOldConnectionUri(java.lang.String oldConnectionUri)

### getOriginalConnectionUri

    public java.lang.String getOriginalConnectionUri()

### setOriginalConnectionUri

    public void setOriginalConnectionUri(java.lang.String originalConnectionUri)

### getReusableMondrianConnections

    public java.util.List getReusableMondrianConnections()

### setReusableMondrianConnections

    public void setReusableMondrianConnections(java.util.List reusableMondrianConnections)

### getReusableXmlaConnections

    public java.util.List getReusableXmlaConnections()

### setReusableXmlaConnections

    public void setReusableXmlaConnections(java.util.List reusableXmlaConnections)

### getReusableXmlaDefinitions

    public java.util.List getReusableXmlaDefinitions()

### setReusableXmlaDefinitions

    public void setReusableXmlaDefinitions(java.util.List reusableXmlaDefinitions)

### isConnectionModified

    public boolean isConnectionModified()

### setConnectionModified

    public void setConnectionModified(boolean connectionCreated)

### isDatasourceAdded

    public boolean isDatasourceAdded()

### setDatasourceAdded

    public void setDatasourceAdded(boolean datasourceAdded)

### getAllTypes

    public java.util.List getAllTypes()

### setAllTypes

    public void setAllTypes(java.util.List allTypes)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getOlapUnitName

    public java.lang.String getOlapUnitName()

### setOlapUnitName

    public void setOlapUnitName(java.lang.String olapUnitName)

### getOlapUnitLabel

    public java.lang.String getOlapUnitLabel()

### setOlapUnitLabel

    public void setOlapUnitLabel(java.lang.String olapUnitLabel)

### getOlapUnitDescription

    public java.lang.String getOlapUnitDescription()

### setOlapUnitDescription

    public void setOlapUnitDescription(java.lang.String olapUnitDescription)

### getOlapUnitMdxQuery

    public java.lang.String getOlapUnitMdxQuery()

### setOlapUnitMdxQuery

    public void setOlapUnitMdxQuery(java.lang.String olapUnitMdxQuery)

### getOlapUnitOptions

    public java.lang.Object getOlapUnitOptions()

### setOlapUnitOptions

    public void setOlapUnitOptions(java.lang.Object options)

### getParentFolder

    public java.lang.String getParentFolder()

### setParentFolder

    public void setParentFolder(java.lang.String parentFolder)

### getAccessGrantResourceUri

    public java.lang.String getAccessGrantResourceUri()

### setAccessGrantResourceUri

    public void setAccessGrantResourceUri(java.lang.String accessGrantResourceUri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.